Subject: [PATCH 48/74] GIC: Added dummy handlers for Power Management Suspend Resume

From: [email-masked] (viresh kumar)
Date: Thu, 30 Sep 2010 11:03:58 +0530

On 09/20/2010 11:37 PM, Russell King - ARM Linux wrote:
> On Mon, Sep 20, 2010 at 11:55:50AM -0500, Rob Herring wrote:
>> There is no programming distinction between an irq and an wakeup if the  
>> GIC is powered on in suspend which is platform dependent. It is only a  
>> s/w distinction of what interrupts you allow to wake you up. If GIC  
>> remains powered, then it can assert nirq to the core and wake-up. If the  
>> core is powered down, the external power controller can monitor the NIRQ  
>> line to wake-up the core. So the powergating of the core has no impact  
>> on the prvgramming of the GIC for wake-up.
> 
> Well, not everyone does this - and I know of no platforms where it has
> been reported for the GIC to be able to wake the system up.  TI OMAP
> doesn't allow it, neither does the one being discussed in this thread.
> 
> The system being discussed here has an external power controller which
> needs to be appropriately programmed.
> 
> You can see this because the proposed patch doesn't add code like that
> in vic.c, but adds a no-operation function so that set_wake() becomes
> a no-op returning zero.
> 
>> How about adding a set_wake function ptr as a parameter to  
>> gic_dist_init? If a platform needs more than the basic operation, they  
>> can override it.
> 
> As I can see, we're not talking about wake-up being able to be done from
> the IRQ controller here, but something entirely external and unrelated
> to it.
> .
> 

Russell,

Should i keep this patch in "SPEAr Support patch series version 2"?

viresh.